Intel® Fortran Compiler
Build applications that can scale for the future with optimized code designed for Intel® Xeon® and compatible processors.
27418 Discussions

Require a particular version/build of the Compiler

Colesky
Beginner
208 Views

To whom it may concern,

 

I have successfully installed the Fortran Compiler and have run problems creating Abaqus Subroutines.

 

Now - after some debugging efforts - it turns out that what I am wanting to do indeed runs with

Version 19.0.5.281 Build 20190815.

 

I have version Version 2021.6.0 Build 20220226_000000 - there seems to be some bug for this particular version with Abaqus.

 

How do I get the earlier version?

 

Many thanks.

 

Colesky

0 Kudos
4 Replies
Ron_Green
Moderator
202 Views

you can download that from your Intel Registration Center account if you have purchased a support entitlement.  It is not available without a license.  More information is HERE

 

WIth your entitled account, you use the PSXE downloads on Intel Registration center:

Ron_Green_0-1664812204460.png

 

Steve_Lionel
Black Belt Retired Employee
193 Views

May I suggest that first you do some analysis to see if it isn't a compiler bug but rather an error in your code? 

Colesky
Beginner
177 Views

Steve,

I've checked this - the User Subroutine compiles and runs in both cases but delivers different (correct) results with the Version 19.0.5.281 Build 20190815 of the Compiler.

Thanks,

Colesky

Steve_Lionel
Black Belt Retired Employee
167 Views

Now find out why. Which calculation gets a different result when compiled with the two versions. How different is the answer?

Reply